| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::Adapter2DoubleFunction Class Reference

mandatory macro from CLHEP/GenericFunctions More...

`#include <GaudiMath/Adapters.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::Adapter2DoubleFunction:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::Adapter2DoubleFunction:
[legend]

## Public Types
typedef double(* | Function) (const double, const double)
| the actual type of the function "to be adapted" More...

## Public Member Functions
| Adapter2DoubleFunction (Function func)
| mandatory macro from CLHEP/GenericFunctions More...
| Adapter2DoubleFunction (const Adapter2DoubleFunction &)
| copy coinstructor More...
| ~Adapter2DoubleFunction () override
| destructor More...
double | operator() (double x) const override
double | operator() (const Argument &x) const override
unsigned int | dimensionality () const override
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
Genfun::Derivative | partial (unsigned int i) const override
| Derivatives. More...
double | operator() (const double x, const double y) const

## Private Member Functions
| Adapter2DoubleFunction ()
Adapter2DoubleFunction & | operator= (const Adapter2DoubleFunction &)

## Private Attributes
Function | m_func

## Detailed Description

mandatory macro from CLHEP/GenericFunctions

constructor from the trivial function with two argument

double func( const double , const double ) ;
const AbsFuction& fun = Adapter2DoubleFunction( fun ) ;
// evaluate the function in point (1,2):
Argument arg(2) ;
arg[0] = 1 ;
arg[1] = 2 ;
double value = fun( arg ) ;

Parameters

  func | pointer to trivial function

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2003-08-03

Definition at line 101 of file FunAdapters.h.

## Member Typedef Documentation

typedef double(* Genfun::GaudiMathImplementation::Adapter2DoubleFunction::Function) (const double, const double)

the actual type of the function "to be adapted"

Definition at line 105 of file FunAdapters.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Adapter2DoubleFunction::Adapter2DoubleFunction | ( | Adapter2DoubleFunction::Function | func | ) |

mandatory macro from CLHEP/GenericFunctions

constructor

Definition at line 59 of file Adapter.cpp.

60 : AbsFunction ( )
61 , m_func ( func )
62 {}
Genfun::GaudiMathImplementation::Adapter2DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:135
GaudiPluginService.cpluginsvc.func
func
Definition: cpluginsvc.py:218

Genfun::GaudiMathImplementation::Adapter2DoubleFunction::Adapter2DoubleFunction | ( | const Adapter2DoubleFunction & | right | ) |

copy coinstructor

Definition at line 65 of file Adapter.cpp.

66 : AbsFunction ( )
67 , m_func ( right.m_func )
68 {}
std::right
T right(T...args)
Genfun::GaudiMathImplementation::Adapter2DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:135

Genfun::GaudiMathImplementation::Adapter2DoubleFunction::~Adapter2DoubleFunction | ( |  | ) |
| override default

destructor

Genfun::GaudiMathImplementation::Adapter2DoubleFunction::Adapter2DoubleFunction | ( |  | ) |
| private

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::Adapter2DoubleFunction::dimensionality | ( |  | ) | const
| inline override

Definition at line 122 of file FunAdapters.h.

122 { return 2 ; }

bool Genfun::GaudiMathImplementation::Adapter2DoubleFunction::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 124 of file FunAdapters.h.

124 { return true ; }

double Genfun::GaudiMathImplementation::Adapter2DoubleFunction::operator() | ( | double | x | ) | const
| override

Definition at line 73 of file Adapter.cpp.

74 { return m_func ( x , 0 ) ; }
Genfun::GaudiMathImplementation::Adapter2DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:135

double Genfun::GaudiMathImplementation::Adapter2DoubleFunction::operator() | ( | const Argument & | x | ) | const
| override

double Genfun::GaudiMathImplementation::Adapter2DoubleFunction::operator() | ( | const double | x,
|  | const double | y
| ) |  | const

Definition at line 81 of file Adapter.cpp.

83 { return m_func ( x , y ) ; }
Genfun::GaudiMathImplementation::Adapter2DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:135

Adapter2DoubleFunction& Genfun::GaudiMathImplementation::Adapter2DoubleFunction::operator= | ( | const Adapter2DoubleFunction & |  | ) |
| private

Genfun::Derivative Genfun::GaudiMathImplementation::Adapter2DoubleFunction::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 86 of file Adapter.cpp.

87 {
88 if ( i >= 2 )
89 {
90 const AbsFunction& aux = GaudiMath::Constant( 0 , 2 ) ;
91 return Genfun::FunctionNoop( &aux ) ;
92 };
93 const AbsFunction& aux = GaudiMath::Derivative( *this , i ) ;
94 return Genfun::FunctionNoop ( &aux ) ;
95 }
GaudiMath::Derivative
Genfun::GaudiMathImplementation::NumericalDerivative Derivative
Definition: GaudiMath.h:29
GaudiMath::Constant
Genfun::GaudiMathImplementation::Constant Constant
Definition: GaudiMath.h:27

## Member Data Documentation

Function Genfun::GaudiMathImplementation::Adapter2DoubleFunction::m_func
| private

Definition at line 135 of file FunAdapters.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/FunAdapters.h
- GaudiGSL/src/Lib/Adapter.cpp